# infoDialog

## Description

Displays a dialog box (modal) that shows some message set by the user.

## Input / Parameter

| Name         | Description                                                              | Input Type  | Default | Options     | Required |
| ------------ | ------------------------------------------------------------------------ | ----------- | ------- | ----------- | -------- |
| title        | The title of the dialog box.                                             | String/Text | -       | -           | Yes      |
| content      | The message to be shown in the dialog box.                               | String/Text | -       | -           | Yes      |
| disableTimer | To disable the timer or not.                                             | Boolean     | false   | true, false | No       |
| timeOut      | The duration that the modal appears on the screen for. (1 second = 1000) | Number      | -       | -           | No       |
| okCaption    | The label for the 'OK' button.                                           | String/Text | -       | -           | No       |

## Output

N/A

Note: A modal will pop up which displays the parameters specified by the user.

## Callback

### okCallback

The function to be executed when user clicks on the button in the modal.

## Video

Coming Soon.

## Example

The user wants to display some information in a dialog box.

### Steps

| No. | Description                      |                                                                                                                                               |
| --- | -------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| 1.  | ![](/files/NSIW5dc47j3yAhIIWnUP) | Drag a button to a page in the mobile designer. Select the event `click` for the button and drag the `infoDialog` function to the event flow. |
| 2.  | ![](/files/H5bsiuETSGdhd2OBYiyk) | Fill in the parameters of the function.                                                                                                       |

### Result

| No.                              | Description                                                                                           |
| -------------------------------- | ----------------------------------------------------------------------------------------------------- |
| ![](/files/cdaglg7p6V5BMj48yctT) | When the button is pressed, the infoDialog modal appears showing the information entered by the user. |

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/dialog/infodialog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
